QGIS Application - Bug report #17455
vector layer properties: Wrong CRS reported in the Informations and Metadata tabs
2017-11-14 11:46 AM - Harrissou Santanna

Status: Closed

Priority: High

Assignee:

Category: Metadata

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 25352
Description

In the Vector Layer Properties, either in the Information tab or Metadata --> Extent one, QGIS reports the layer to be in EPSG:4326 while
it's in EPSG:2154.
No data is in 4326 (actually all are in 2154) and the project is also in 2154

Associated revisions

Revision bf45d0b6 - 2017-12-20 09:46 AM - Etienne Trimaille

Crs (#5908)

- fix display of CRS if invalid CRS

- fix #17455 set an empty CRS if the read CRS from XML is wrong

- add warning about empty CRS node when reading XML

History

#1 - 2017-11-14 11:49 AM - Giovanni Manghi
- Priority changed from Normal to High
- Regression? changed from No to Yes

#2 - 2017-11-15 09:19 PM - Steven Mizuno

There is a separate setting for CRS in the Metadata tab, in the Extents tab on the right-hand side of the dialog. This is not set to anything meaningful, but
there is a button to set CRS from layer. But it would be much better if this was the default so the user doesn't have to set this.

This information has separate storage in the project file.

Further, the Information tab is not updated after the Extents tab is updated, until Apply is executed. You have to switch away from the Information tab, then
back to it, or OK the dialog and then open it again to see the change.

Still more confusing is that the Extents sub-tab in the Metadata tab does not have any indication or place to set spatial or temporal extent (which the
heading at the top indicates what this tab is for). And the extent part of the Information tab is blank.

#3 - 2017-11-21 10:56 AM - Etienne Trimaille

Harrissou, did you set another CRS in the metadata wizard?
This CRS is coming from only the metadata wizard.

Steven, the setting in the metadata wizard has no link with the map layer CRS.
Copy/paste from https://qgis.org/api/classQgsLayerMetadata.html#a505921e4bbdce896a66edac02c738567

While in most cases these two systems are likely to be identical, it is possible to have a layer with a different CRS described by it's accompanying
metadata versus the CRS which is actually used to display and manipulate the layer within QGIS. This may be the case when a layer has an
incorrect CRS within its metadata and a user has manually overridden the layer's CRS within QGIS.

Further, the Information tab is not updated after the Extents tab is updated, until Apply is executed.

This is still in progress in QEP 91 Work package 3 https:/github.com/qgis/QGIS-Enhancement-Proposals/issues/91

There is an open PR about small patch to save metadata to its own file

About Extents, the form is hidden in the wizard until it's finished.

#4 - 2017-11-21 11:04 AM - Giovanni Manghi

- Status changed from Open to Feedback

#5 - 2017-11-21 11:48 AM - Harrissou Santanna

Harrissou, did you set another CRS in the metadata wizard?

This CRS is coming from only the metadata wizard.

Hi Etienne. Indeed | didn't set the CRS in metadata wizard. | expected the CRS would be derived from data (ie the one set in QGIS CRS dialog). | always
thought that these were kind of information user does not need to manually fill in metadata (but i must confess that i didn't fill metadata for about a decade
now)

What | don't understand is why the CRS in the metadata wouldn't be the same as the one recognized by QGIS. In case the CRS mentioned in QGIS is
right, then all is good. If wrong then the user must edit it and fill the right one so that the metadata is filled with that value.

I'm afraid that with the current implementation, people provides data with metadata containing wrong/unrelated CRS information.

#6 - 2017-11-21 11:51 AM - Giovanni Manghi

- Status changed from Feedback to Open

#7 - 2017-11-21 12:01 PM - Etienne Trimaille

| agree it should display a warning if both CRS from the layer and CRS from metadata are not the same.

The CRS derived from the data is displayed in the "Provider™ section.

#8 - 2017-12-20 09:45 AM - Etienne Trimaille

- Status changed from Open to Closed
- % Done changed from 0 to 100

Applied in changeset commit:qgis|bf45d0b61811b8fb22e526979b749eba04385b6e.
https://qgis.org/api/classQgsLayerMetadata.html#a505921e4bbdce896a66edae02c738567
https://github.com/qgis/QGIS-Enhancement-Proposals/issues/91

#9 - 2017-12-20 09:48 AM - Etienne Trimaille

Steven Mizuno wrote:

Still more confusing is that the Extents sub-tab in the Metadata tab does not have any indication or place to set spatial or temporal extent (which the

heading at the top indicates what this tab is for). And the extent part of the Information tab is blank.

It has been fixed too. There is now a Spatial Extent and a Temporal Extent

#10 - 2018-02-22 11:49 AM - Giovanni Manghi

- Resolution set to fixed/implemented
